Issue 120218 - [VCLAuto patch]The getID() can not find the menu item expected while there is any menu item which contains the string.
[VCLAuto patch]The getID() can not find the menu item expected while there is...
Status: CLOSED FIXED
Product: QA
Classification: Unclassified
Component: testscripts
OOO340m0
All All
: P3 major
: 4.0.0
Assigned To: automat
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 04:59 UTC by Shan Zhu
Modified: 2013-07-12 14:14 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
test_20120709.patch (6.81 KB, patch)
2012-07-09 04:59 UTC, Shan Zhu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Shan Zhu 2012-07-09 04:59:08 UTC
Created attachment 78594 [details]
test_20120709.patch

If there is a menu item which contains the string before the target item, it will return unexpected ID.
For example: To select menu "Edit->Sheet", if there is "Edit->Undo:Insert Sheet". 
It will not return the ID of the target menu item.

The .patch contains the bugfix and 2 new SC scripts to verify the fix.

Pls help to review it. Thanks.
Comment 1 aliuzhe 2012-07-09 06:09:07 UTC
Committed it. Revision: r1358925
Comment 2 Shan Zhu 2012-08-27 05:38:44 UTC
Committed into r1358925.